nyx(1)

NAME
nyx - Tor terminal status monitor

SYNOPSIS
nyx [OPTION]

DESCRIPTION
Nyx is a command line interface for Tor (https://www.torproject.org/), providing detailed real-time relaying information for...

  * bandwidth, cpu, and memory usage
  * connection information
  * tor configuration
  * event logs
  * etc

As a curses interface Nyx is particularly well suited for ssh connections, tty terminals, and command-line aficionados to check the status of tor.

Nyx can be customized through a configuration file located at ~/.nyx/config. For options see https://nyx.torproject.org/#configuration.

OPTIONS

-i, --interface [ADDRESS:]PORT
    tor control port we should attach to (default is 127.0.0.1:9051)

-s, --socket SOCKET_PATH
    tor control socket we should attach to (default is /var/run/tor/control)

-c, --config CONFIG_PATH
    user configuration preferences (default is ~/.nyx/config)

-d, --debug LOG_PATH
    writes all nyx logs to the given location

-l, --log EVENTS
    comma separated list of events to log

-v, --version
    provides version information

-h, --help
    provides usage information

FILES

~/.nyx/config
    Your personal nyx configuration file

/usr/share/doc/nyx/nyxrc.sample.gz
    Sample nyxrc configuration file that documents all options

AUTHOR
Written by Damian Johnson (atagar@torproject.org)